
#include <Spectre/Input/Mouse.h>

namespace sp {

Mouse::~Mouse()
{
}

std::string Mouse::getButtonName(Button button)
{
	switch(button) {
	case Button::XButton1 : return "XButton1";
	case Button::XButton2 : return "XButton2";
	case Button::Left : return "Left";
	case Button::Right : return "Right";
	case Button::Middle : return "Middle";
	case Button::Unknown :
	default:
		return "Unknown";
	}
}

} // namespace sp
